Package org.wso2.carbon.hostobjects.sso.internal

## Class SSOConstants

- java.lang.Object
- - org.wso2.carbon.hostobjects.sso.internal.SSOConstants

-     public class SSOConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ERROR_CODE` |
    `static String` | `IDP_ALIAS` |
    `static String` | `IDP_URL` |
    `static String` | `IS_AUTHENTICATED` |
    `static String` | `ISSUER_ID` |
    `static String` | `KEY_STORE_NAME` |
    `static String` | `KEY_STORE_PASSWORD` |
    `static String` | `LOGOUT_USER` |
    `static String` | `SAML2_NAME_ID_POLICY` |
    `static String` | `USERNAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SSOConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ERROR_CODE

          public static final String ERROR_CODE

      See Also:
        Constant Field Values

    - #### IDP_URL

          public static final String IDP_URL

      See Also:
        Constant Field Values

    - #### KEY_STORE_NAME

          public static final String KEY_STORE_NAME

      See Also:
        Constant Field Values

    - #### KEY_STORE_PASSWORD

          public static final String KEY_STORE_PASSWORD

      See Also:
        Constant Field Values

    - #### IDP_ALIAS

          public static final String IDP_ALIAS

      See Also:
        Constant Field Values

    - #### ISSUER_ID

          public static final String ISSUER_ID

      See Also:
        Constant Field Values

    - #### IS_AUTHENTICATED

          public static final String IS_AUTHENTICATED

      See Also:
        Constant Field Values

    - #### USERNAME

          public static final String USERNAME

      See Also:
        Constant Field Values

    - #### SAML2_NAME_ID_POLICY

          public static final String SAML2_NAME_ID_POLICY

      See Also:
        Constant Field Values

    - #### LOGOUT_USER

          public static final String LOGOUT_USER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SSOConstants

          public SSOConstants()